rpms/motion/F-9 ffmpeg-detection.patch, NONE, 1.1 motion-initscript, NONE, 1.1 motion.spec, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2
by Steven Moix
Author: moixs
Update of /cvs/free/rpms/motion/F-9
In directory se02.es.rpmfusion.net:/tmp/cvs-serv25389/F-9
Modified Files:
.cvsignore sources
Added Files:
ffmpeg-detection.patch motion-initscript motion.spec
Log Message:
Initial import
ffmpeg-detection.patch:
--- NEW FILE ffmpeg-detection.patch ---
Index: configure.in
===================================================================
--- configure.in (revisión: 433)
+++ configure.in (copia de trabajo)
@@ -389,6 +389,9 @@
elif test -f ${FFMPEG_DIR}/include/libavformat/avformat.h; then
AC_MSG_RESULT(found ${FFMPEG_DIR}/include/libavformat/avformat.h)
FFMPEG_CFLAGS="-I${FFMPEG_DIR}/include -DFFMPEG_NEW_INCLUDES"
+ elif test -f ${FFMPEG_DIR}/include/ffmpeg/libavformat/avformat.h; then
+ AC_MSG_RESULT(found ${FFMPEG_DIR}/include/ffmpeg/libavformat/avformat.h)
+ FFMPEG_CFLAGS="-I${FFMPEG_DIR}/include/ffmpeg -DFFMPEG_NEW_INCLUDES"
else
AC_MSG_RESULT(not found)
FFMPEG_OK="no_found"
Index: configure
===================================================================
--- configure (revisión: 433)
+++ configure (copia de trabajo)
@@ -3261,6 +3261,10 @@
{ echo "$as_me:$LINENO: result: found ${FFMPEG_DIR}/include/libavformat/avformat.h" >&5
echo "${ECHO_T}found ${FFMPEG_DIR}/include/libavformat/avformat.h" >&6; }
FFMPEG_CFLAGS="-I${FFMPEG_DIR}/include -DFFMPEG_NEW_INCLUDES"
+ elif test -f ${FFMPEG_DIR}/include/ffmpeg/libavformat/avformat.h; then
+ { echo "$as_me:$LINENO: result: found ${FFMPEG_DIR}/include/ffmpeg/libavformat/avformat.h" >&5
+echo "${ECHO_T}found ${FFMPEG_DIR}/include/ffmpeg/libavformat/avformat.h" >&6; }
+ FFMPEG_CFLAGS="-I${FFMPEG_DIR}/include/ffmpeg -DFFMPEG_NEW_INCLUDES"
else
{ echo "$as_me:$LINENO: result: not found" >&5
echo "${ECHO_T}not found" >&6; }
--- NEW FILE motion-initscript ---
#!/bin/bash
#
# motion Startup script for the Motion Detection System
#
# chkconfig: - 85 15
# description: Motion detection system. It is used to detect movement based \
# on compare images.
# processname: motion
# pidfile: /var/run/motion.pid
# config: /etc/motion.conf
#
### BEGIN INIT INFO
# Provides: motion
# Required-Start: $local_fs
# Required-Stop: $local_fs
# Default-Start:
# Default-Stop:
# Short-Description: Start and stop motion detection system
# Description: The Motion detection system is used to detect movement based
# on image comparison.
### END INIT INFO
# Source function library.
. /etc/rc.d/init.d/functions
motion=${MOTION-/usr/bin/motion}
prog=motion
pidfile=/var/run/motion.pid
lockfile=/var/lock/subsys/motion
start() {
[ -x $exec ] || exit 5
[ -f $config ] || exit 6
echo -n $"Starting $prog: "
daemon $motion 2> /dev/null
retval=$?
echo
[ $retval -eq 0 ] && touch $lockfile
return $retval
}
stop() {
echo -n $"Stopping $prog: "
killproc $motion
retval=$?
echo
[ $retval = 0 ] && rm -f $lockfile
}
restart() {
stop
start
}
reload() {
echo -n $"Reloading $prog configuration: "
killproc $motion -HUP
retval=$?
echo
return $retval
}
rh_status() {
# run checks to determine if the service is running or use generic status
status $prog
}
rh_status_q() {
rh_status >/dev/null 2>&1
}
# See how we were called.
case "$1" in
start)
rh_status_q && exit 0
$1
;;
stop)
rh_status_q || exit 0
$1
;;
restart)
$1
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
#force_reload
reload
;;
status)
rh_status
;;
condrestart|try-restart)
rh_status_q || exit 0
restart
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
exit 1
esac
exit $?
--- NEW FILE motion.spec ---
Name: motion
Version: 3.2.11
Release: 3%{?dist}
Summary: A motion detection system
Group: Applications/Multimedia
License: GPLv2+
URL: http://motion.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: motion-initscript
Patch0: ffmpeg-detection.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libjpeg-devel ffmpeg-devel zlib-devel
#Requires: ffmpeg
Requires(post): chkconfig
Requires(preun): chkconfig initscripts
Requires(postun): initscripts
%description
Motion is a software motion detector. It grabs images from video4linux devices
and/or from webcams (such as the axis network cameras). Motion is the perfect
tool for keeping an eye on your property keeping only those images that are
interesting. Motion is strictly command line driven and can run as a daemon
with a rather small footprint. This version is built with ffmpeg support but
without MySQL and PostgreSQL support.
%prep
%setup -q
#ffmpeg detection patch in version 3.2.11. This is an upstream patch.
%patch0 -p0
%build
%configure --sysconfdir=%{_sysconfdir}/%{name} --without-optimizecpu --with-ffmpeg --without-mysql --without-pgsql
#We convert 2 files to UTF-8, otherwise rpmlint complains
iconv -f iso8859-1 -t utf-8 CREDITS > CREDITS.conv && mv -f CREDITS.conv CREDITS
iconv -f iso8859-1 -t utf-8 CHANGELOG > CHANGELOG.conv && mv -f CHANGELOG.conv CHANGELOG
make %{?_smp_mflags}
%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
#We rename the configuration file
mv %{buildroot}%{_sysconfdir}/%{name}/motion-dist.conf %{buildroot}%{_sysconfdir}/%{name}/motion.conf
#We change the PID file path to match the one in the startup script
sed -i 's|/var/run/motion/motion.pid|/var/run/motion.pid|g' %{buildroot}%{_sysconfdir}/%{name}/motion.conf
#We remove SQL directives in the configuration file, as we don't use them
sed -i 's|sql_log_image|; sql_log_image|g' %{buildroot}%{_sysconfdir}/%{name}/motion.conf
sed -i 's|sql_log_snapshot|; sql_log_snapshot|g' %{buildroot}%{_sysconfdir}/%{name}/motion.conf
sed -i 's|sql_log_mpeg|; sql_log_mpeg|g' %{buildroot}%{_sysconfdir}/%{name}/motion.conf
sed -i 's|sql_log_timelapse|; sql_log_timelapse|g' %{buildroot}%{_sysconfdir}/%{name}/motion.conf
sed -i 's|sql_query|; sql_query|g' %{buildroot}%{_sysconfdir}/%{name}/motion.conf
#We install our startup script
install -D -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
%post
#We add the motion init script to the services when installing
/sbin/chkconfig --add %{name}
%preun
#We stop the service and remove it from init scripts when erasing
if [ $1 = 0 ] ; then
/sbin/service %{name} stop >/dev/null 2>&1
/sbin/chkconfig --del %{name}
fi
%postun
#We restart the service during an upgrade
if [ "$1" -ge "1" ] ; then
/sbin/service %{name} condrestart >/dev/null 2>&1
fi
%clean
rm -rf %{buildroot}
%files
#Permissions are bogus upstream, we need to be sure to set them here
%defattr (-,root,root,-)
%dir %{_sysconfdir}/%{name}
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/examples
%doc CHANGELOG COPYING CREDITS INSTALL README motion_guide.html
%attr(0644,root,root) %{_datadir}/%{name}-%{version}/examples/motion-dist.conf
%attr(0755,root,root) %{_datadir}/%{name}-%{version}/examples/motion.init-Debian
%attr(0755,root,root) %{_datadir}/%{name}-%{version}/examples/motion.init-FreeBSD.sh
%attr(0755,root,root) %{_datadir}/%{name}-%{version}/examples/motion.init-RH
%attr(0644,root,root) %{_datadir}/%{name}-%{version}/examples/thread1.conf
%attr(0644,root,root) %{_datadir}/%{name}-%{version}/examples/thread2.conf
%attr(0644,root,root) %{_datadir}/%{name}-%{version}/examples/thread3.conf
%attr(0644,root,root) %{_datadir}/%{name}-%{version}/examples/thread4.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/motion.conf
%attr(0755,root,root) %{_bindir}/motion
%attr(0644,root,root) %{_mandir}/man1/motion.1*
%attr(0755,root,root) %{_initrddir}/%{name}
%changelog
* Wed Mar 18 2009 Steven Moix <steven.moix(a)axianet.ch> - 3.2.11-3
- Even more corrected init script thanks to Stewart Adam
* Sun Mar 15 2009 Steven Moix <steven.moix(a)axianet.ch> - 3.2.11-2
- Removed the ffmpeg requires
- Corrected the spec file
- New init script with a corrected start() function and LSB header support
* Tue Mar 03 2009 Steven Moix <steven.moix(a)axianet.ch> - 3.2.11-1
- Updated to Fedora 10 standard
* Sun Sep 18 2005 Kenneth Lavrsen <kenneth(a)lavrsen.dk> - 3.2.4-1
- Generic version of livna spec file replacing the old less optimal specfile.
* Thu Sep 15 2005 Dams <anvil[AT]livna.org> - 3.2.3-0.lvn.1
- Initial released based upon upstream spec file
Index: .cvsignore
===================================================================
RCS file: /cvs/free/rpms/motion/F-9/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore 19 Mar 2009 18:19:36 -0000 1.1
+++ .cvsignore 19 Mar 2009 19:06:25 -0000 1.2
@@ -0,0 +1 @@
+motion-3.2.11.tar.gz
Index: sources
===================================================================
RCS file: /cvs/free/rpms/motion/F-9/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources 19 Mar 2009 18:19:36 -0000 1.1
+++ sources 19 Mar 2009 19:06:26 -0000 1.2
@@ -0,0 +1 @@
+3a26c00f3250eacf6fa93c7a7e0249d9 motion-3.2.11.tar.gz
15 years, 9 months
rpms/sdlmame/F-9 .cvsignore, 1.35, 1.36 sdlmame.spec, 1.42, 1.43 sources, 1.36, 1.37 sdlmame-bne.patch, 1.1, NONE
by Julian Sikorski
Author: belegdol
Update of /cvs/nonfree/rpms/sdlmame/F-9
In directory se02.es.rpmfusion.net:/tmp/cvs-serv25411
Modified Files:
.cvsignore sdlmame.spec sources
Removed Files:
sdlmame-bne.patch
Log Message:
* Tue Mar 19 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0131-0.1.0130u1
- Updated to 0.130u1
- Conditionalised the Fedora 10 pkgconfig fix
- Dropped the upstreamed bne patch
Index: .cvsignore
===================================================================
RCS file: /cvs/nonfree/rpms/sdlmame/F-9/.cvsignore,v
retrieving revision 1.35
retrieving revision 1.36
diff -u -r1.35 -r1.36
--- .cvsignore 9 Mar 2009 17:33:20 -0000 1.35
+++ .cvsignore 19 Mar 2009 19:06:13 -0000 1.36
@@ -1,2 +1,2 @@
ui.bdc
-sdlmame0130.zip
+sdlmame0130u1.zip
Index: sdlmame.spec
===================================================================
RCS file: /cvs/nonfree/rpms/sdlmame/F-9/sdlmame.spec,v
retrieving revision 1.42
retrieving revision 1.43
diff -u -r1.42 -r1.43
--- sdlmame.spec 9 Mar 2009 17:33:20 -0000 1.42
+++ sdlmame.spec 19 Mar 2009 19:06:13 -0000 1.43
@@ -1,4 +1,4 @@
-#define beta 0129u6
+%define beta 0130u1
%if "0%{?beta}" != "0"
%define _version %{?beta}
@@ -17,8 +17,8 @@
%endif
Name: sdlmame
-Version: 0130
-Release: 1%{?beta}%{?dist}
+Version: 0131
+Release: 0.1.%{?beta}%{?dist}
Summary: SDL Multiple Arcade Machine Emulator
Group: Applications/Emulators
@@ -29,12 +29,14 @@
Source1: ui.bdc
Patch0: %{name}-warnings.patch
Patch1: %{name}-expat.patch
-Patch2: %{name}-bne.patch
Patch3: %{name}-fortify.patch
BuildRoot: %{_tmppath}/%{name}-%{_version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: SDL-devel expat-devel zlib-devel libGL-devel gtk2-devel
BuildRequires: GConf2-devel
+%if 0%{?fedora} == 10
+BuildRequires: dbus-devel
+%endif
%description
MAME stands for Multiple Arcade Machine Emulator. When used in conjunction
@@ -81,7 +83,6 @@
%setup -qn %{name}%{_version}
%patch0 -p0 -b .warnings~
%patch1 -p0 -b .expat~
-%patch2 -p0 -b .bne~
%patch3 -p0 -b .fortify
# Create mame.ini file
@@ -212,6 +213,11 @@
%changelog
+* Tue Mar 19 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0131-0.1.0130u1
+- Updated to 0.130u1
+- Conditionalised the Fedora 10 pkgconfig fix
+- Dropped the upstreamed bne patch
+
* Mon Mar 09 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0130-1
- Updated to 0.130
Index: sources
===================================================================
RCS file: /cvs/nonfree/rpms/sdlmame/F-9/sources,v
retrieving revision 1.36
retrieving revision 1.37
diff -u -r1.36 -r1.37
--- sources 9 Mar 2009 17:33:20 -0000 1.36
+++ sources 19 Mar 2009 19:06:13 -0000 1.37
@@ -1,2 +1,2 @@
b64914c2a5589f6d5b00361464152acd ui.bdc
-b33d3545049e8e2b8da5d7d7cc3b843b sdlmame0130.zip
+547f9a517c29e08ed99593a4508999cd sdlmame0130u1.zip
--- sdlmame-bne.patch DELETED ---
15 years, 9 months
rpms/sdlmame/F-10 .cvsignore, 1.35, 1.36 sdlmame.spec, 1.44, 1.45 sources, 1.36, 1.37 sdlmame-bne.patch, 1.1, NONE
by Julian Sikorski
Author: belegdol
Update of /cvs/nonfree/rpms/sdlmame/F-10
In directory se02.es.rpmfusion.net:/tmp/cvs-serv25270
Modified Files:
.cvsignore sdlmame.spec sources
Removed Files:
sdlmame-bne.patch
Log Message:
* Tue Mar 19 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0131-0.1.0130u1
- Updated to 0.130u1
- Conditionalised the Fedora 10 pkgconfig fix
- Dropped the upstreamed bne patch
Index: .cvsignore
===================================================================
RCS file: /cvs/nonfree/rpms/sdlmame/F-10/.cvsignore,v
retrieving revision 1.35
retrieving revision 1.36
diff -u -r1.35 -r1.36
--- .cvsignore 9 Mar 2009 17:33:15 -0000 1.35
+++ .cvsignore 19 Mar 2009 19:06:00 -0000 1.36
@@ -1,2 +1,2 @@
ui.bdc
-sdlmame0130.zip
+sdlmame0130u1.zip
Index: sdlmame.spec
===================================================================
RCS file: /cvs/nonfree/rpms/sdlmame/F-10/sdlmame.spec,v
retrieving revision 1.44
retrieving revision 1.45
diff -u -r1.44 -r1.45
--- sdlmame.spec 9 Mar 2009 17:33:15 -0000 1.44
+++ sdlmame.spec 19 Mar 2009 19:06:00 -0000 1.45
@@ -1,4 +1,4 @@
-#define beta 0129u6
+%define beta 0130u1
%if "0%{?beta}" != "0"
%define _version %{?beta}
@@ -17,8 +17,8 @@
%endif
Name: sdlmame
-Version: 0130
-Release: 1%{?beta}%{?dist}
+Version: 0131
+Release: 0.1.%{?beta}%{?dist}
Summary: SDL Multiple Arcade Machine Emulator
Group: Applications/Emulators
@@ -29,12 +29,14 @@
Source1: ui.bdc
Patch0: %{name}-warnings.patch
Patch1: %{name}-expat.patch
-Patch2: %{name}-bne.patch
Patch3: %{name}-fortify.patch
BuildRoot: %{_tmppath}/%{name}-%{_version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: SDL-devel expat-devel zlib-devel libGL-devel gtk2-devel
-BuildRequires: GConf2-devel dbus-devel
+BuildRequires: GConf2-devel
+%if 0%{?fedora} == 10
+BuildRequires: dbus-devel
+%endif
%description
MAME stands for Multiple Arcade Machine Emulator. When used in conjunction
@@ -81,7 +83,6 @@
%setup -qn %{name}%{_version}
%patch0 -p0 -b .warnings~
%patch1 -p0 -b .expat~
-%patch2 -p0 -b .bne~
%patch3 -p0 -b .fortify
# Create mame.ini file
@@ -212,6 +213,11 @@
%changelog
+* Tue Mar 19 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0131-0.1.0130u1
+- Updated to 0.130u1
+- Conditionalised the Fedora 10 pkgconfig fix
+- Dropped the upstreamed bne patch
+
* Mon Mar 09 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0130-1
- Updated to 0.130
Index: sources
===================================================================
RCS file: /cvs/nonfree/rpms/sdlmame/F-10/sources,v
retrieving revision 1.36
retrieving revision 1.37
diff -u -r1.36 -r1.37
--- sources 9 Mar 2009 17:33:15 -0000 1.36
+++ sources 19 Mar 2009 19:06:00 -0000 1.37
@@ -1,2 +1,2 @@
b64914c2a5589f6d5b00361464152acd ui.bdc
-b33d3545049e8e2b8da5d7d7cc3b843b sdlmame0130.zip
+547f9a517c29e08ed99593a4508999cd sdlmame0130u1.zip
--- sdlmame-bne.patch DELETED ---
15 years, 9 months
rpms/sdlmame/devel .cvsignore, 1.35, 1.36 sdlmame.spec, 1.43, 1.44 sources, 1.36, 1.37 sdlmame-bne.patch, 1.1, NONE
by Julian Sikorski
Author: belegdol
Update of /cvs/nonfree/rpms/sdlmame/devel
In directory se02.es.rpmfusion.net:/tmp/cvs-serv25162
Modified Files:
.cvsignore sdlmame.spec sources
Removed Files:
sdlmame-bne.patch
Log Message:
* Tue Mar 19 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0131-0.1.0130u1
- Updated to 0.130u1
- Conditionalised the Fedora 10 pkgconfig fix
- Dropped the upstreamed bne patch
Index: .cvsignore
===================================================================
RCS file: /cvs/nonfree/rpms/sdlmame/devel/.cvsignore,v
retrieving revision 1.35
retrieving revision 1.36
diff -u -r1.35 -r1.36
--- .cvsignore 9 Mar 2009 17:33:08 -0000 1.35
+++ .cvsignore 19 Mar 2009 19:05:49 -0000 1.36
@@ -1,2 +1,2 @@
ui.bdc
-sdlmame0130.zip
+sdlmame0130u1.zip
Index: sdlmame.spec
===================================================================
RCS file: /cvs/nonfree/rpms/sdlmame/devel/sdlmame.spec,v
retrieving revision 1.43
retrieving revision 1.44
diff -u -r1.43 -r1.44
--- sdlmame.spec 9 Mar 2009 17:33:08 -0000 1.43
+++ sdlmame.spec 19 Mar 2009 19:05:50 -0000 1.44
@@ -1,4 +1,4 @@
-#define beta 0129u6
+%define beta 0130u1
%if "0%{?beta}" != "0"
%define _version %{?beta}
@@ -17,8 +17,8 @@
%endif
Name: sdlmame
-Version: 0130
-Release: 1%{?beta}%{?dist}
+Version: 0131
+Release: 0.1.%{?beta}%{?dist}
Summary: SDL Multiple Arcade Machine Emulator
Group: Applications/Emulators
@@ -29,12 +29,14 @@
Source1: ui.bdc
Patch0: %{name}-warnings.patch
Patch1: %{name}-expat.patch
-Patch2: %{name}-bne.patch
Patch3: %{name}-fortify.patch
BuildRoot: %{_tmppath}/%{name}-%{_version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: SDL-devel expat-devel zlib-devel libGL-devel gtk2-devel
BuildRequires: GConf2-devel
+%if 0%{?fedora} == 10
+BuildRequires: dbus-devel
+%endif
%description
MAME stands for Multiple Arcade Machine Emulator. When used in conjunction
@@ -81,7 +83,6 @@
%setup -qn %{name}%{_version}
%patch0 -p0 -b .warnings~
%patch1 -p0 -b .expat~
-%patch2 -p0 -b .bne~
%patch3 -p0 -b .fortify
# Create mame.ini file
@@ -212,6 +213,11 @@
%changelog
+* Tue Mar 19 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0131-0.1.0130u1
+- Updated to 0.130u1
+- Conditionalised the Fedora 10 pkgconfig fix
+- Dropped the upstreamed bne patch
+
* Mon Mar 09 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0130-1
- Updated to 0.130
Index: sources
===================================================================
RCS file: /cvs/nonfree/rpms/sdlmame/devel/sources,v
retrieving revision 1.36
retrieving revision 1.37
diff -u -r1.36 -r1.37
--- sources 9 Mar 2009 17:33:08 -0000 1.36
+++ sources 19 Mar 2009 19:05:50 -0000 1.37
@@ -1,2 +1,2 @@
b64914c2a5589f6d5b00361464152acd ui.bdc
-b33d3545049e8e2b8da5d7d7cc3b843b sdlmame0130.zip
+547f9a517c29e08ed99593a4508999cd sdlmame0130u1.zip
--- sdlmame-bne.patch DELETED ---
15 years, 9 months
rpms/motion/devel .cvsignore, NONE, 1.1 Makefile, NONE, 1.1 sources, NONE, 1.1
by Thorsten Leemhuis
Author: thl
Update of /cvs/free/rpms/motion/devel
In directory se02.es.rpmfusion.net:/home/rpmfusion/thl/free/owners/tmpcvse22357/rpms/motion/devel
Added Files:
.cvsignore Makefile sources
Log Message:
Setup of module motion
--- NEW FILE .cvsignore ---
--- NEW FILE Makefile ---
# Makefile for source rpm: motion
# $Id: Makefile,v 1.1 2009/03/19 18:19:36 thl Exp $
NAME := motion
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attept a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)
--- NEW FILE sources ---
15 years, 9 months
rpms/motion Makefile,NONE,1.1 import.log,NONE,1.1 pkg.acl,NONE,1.1
by Thorsten Leemhuis
Author: thl
Update of /cvs/free/rpms/motion
In directory se02.es.rpmfusion.net:/home/rpmfusion/thl/free/owners/tmpcvse22357/rpms/motion
Added Files:
Makefile import.log pkg.acl
Log Message:
Setup of module motion
--- NEW FILE Makefile ---
# Top level Makefile for module motion
all : CVS/Root common-update
@cvs update
common-update : common
@cd common && cvs update
common : CVS/Root
@cvs checkout common
CVS/Root :
@echo "ERROR: This does not look like a CVS checkout" && exit 1
clean :
@find . -type f -name *~ -exec rm -fv {} \;
--- NEW FILE import.log ---
--- NEW FILE pkg.acl ---
15 years, 9 months
rpms/motion/devel - New directory
by Thorsten Leemhuis
Author: thl
Update of /cvs/free/rpms/motion/devel
In directory se02.es.rpmfusion.net:/home/rpmfusion/thl/free/owners/tmpcvse22357/rpms/motion/devel
Log Message:
Directory /cvs/free/rpms/motion/devel added to the repository
15 years, 9 months
rpms/motion - New directory
by Thorsten Leemhuis
Author: thl
Update of /cvs/free/rpms/motion
In directory se02.es.rpmfusion.net:/home/rpmfusion/thl/free/owners/tmpcvse22357/rpms/motion
Log Message:
Directory /cvs/free/rpms/motion added to the repository
15 years, 9 months
rpms/pgadmin3/F-9 pgadmin3.spec,1.1,1.2
by Robert Scheck
Author: robert
Update of /cvs/nonfree/rpms/pgadmin3/F-9
In directory se02.es.rpmfusion.net:/tmp/cvs-serv16111/F-9
Modified Files:
pgadmin3.spec
Log Message:
- Corrected pgadmin3 documentation path to avoid errors (#448)
- Re-added the branding directory for some users (RHBZ #473748)
Index: pgadmin3.spec
===================================================================
RCS file: /cvs/nonfree/rpms/pgadmin3/F-9/pgadmin3.spec,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- pgadmin3.spec 7 Jan 2009 09:05:24 -0000 1.1
+++ pgadmin3.spec 18 Mar 2009 23:32:40 -0000 1.2
@@ -1,7 +1,7 @@
Summary: Graphical client for PostgreSQL
Name: pgadmin3
Version: 1.8.4
-Release: 5%{?dist}
+Release: 6%{?dist}
License: Artistic
Group: Applications/Databases
URL: http://www.pgadmin.org/
@@ -33,6 +33,7 @@
for f in configure{,.ac}; do touch -r $f $f.stamp; done
%patch0 -p1
for f in configure{,.ac}; do touch -r $f.stamp $f; done
+sed -e 's@"/docs"@"../doc/%{name}-%{version}"@' -i pgadmin/pgAdmin3.cpp
%build
export LIBS="-lwx_gtk2u_core-2.8"
@@ -66,8 +67,8 @@
done
# Remove unwanted and double files
-rm -f docs/{Docs.vcproj,builddocs.bat,en_US/pgadmin3.hhp.cached}
-rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/{branding,docs}
+rm -f docs/{Docs.vcproj,builddocs.bat}
+rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/docs
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/i18n/{*,.}/wxstd.mo
# Correct permissions to solve rpmlint debuginfo noise
@@ -90,6 +91,10 @@
%{_datadir}/applications/*
%changelog
+* Thu Mar 19 2009 Robert Scheck <robert(a)fedoraproject.org> 1.8.4-6
+- Corrected pgadmin3 documentation path to avoid errors (#448)
+- Re-added the branding directory for some users (RHBZ #473748)
+
* Mon Jan 05 2009 Robert Scheck <robert(a)fedoraproject.org> 1.8.4-5
- Removed useless -docs package, main package shipped it anyway
- Many spec file and package cleanups to get rpmlint very silent
15 years, 9 months
rpms/pgadmin3/F-10 pgadmin3.spec,1.1,1.2
by Robert Scheck
Author: robert
Update of /cvs/nonfree/rpms/pgadmin3/F-10
In directory se02.es.rpmfusion.net:/tmp/cvs-serv16111/F-10
Modified Files:
pgadmin3.spec
Log Message:
- Corrected pgadmin3 documentation path to avoid errors (#448)
- Re-added the branding directory for some users (RHBZ #473748)
Index: pgadmin3.spec
===================================================================
RCS file: /cvs/nonfree/rpms/pgadmin3/F-10/pgadmin3.spec,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- pgadmin3.spec 7 Jan 2009 09:05:24 -0000 1.1
+++ pgadmin3.spec 18 Mar 2009 23:32:40 -0000 1.2
@@ -1,7 +1,7 @@
Summary: Graphical client for PostgreSQL
Name: pgadmin3
Version: 1.8.4
-Release: 5%{?dist}
+Release: 6%{?dist}
License: Artistic
Group: Applications/Databases
URL: http://www.pgadmin.org/
@@ -33,6 +33,7 @@
for f in configure{,.ac}; do touch -r $f $f.stamp; done
%patch0 -p1
for f in configure{,.ac}; do touch -r $f.stamp $f; done
+sed -e 's@"/docs"@"../doc/%{name}-%{version}"@' -i pgadmin/pgAdmin3.cpp
%build
export LIBS="-lwx_gtk2u_core-2.8"
@@ -66,8 +67,8 @@
done
# Remove unwanted and double files
-rm -f docs/{Docs.vcproj,builddocs.bat,en_US/pgadmin3.hhp.cached}
-rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/{branding,docs}
+rm -f docs/{Docs.vcproj,builddocs.bat}
+rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/docs
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/i18n/{*,.}/wxstd.mo
# Correct permissions to solve rpmlint debuginfo noise
@@ -90,6 +91,10 @@
%{_datadir}/applications/*
%changelog
+* Thu Mar 19 2009 Robert Scheck <robert(a)fedoraproject.org> 1.8.4-6
+- Corrected pgadmin3 documentation path to avoid errors (#448)
+- Re-added the branding directory for some users (RHBZ #473748)
+
* Mon Jan 05 2009 Robert Scheck <robert(a)fedoraproject.org> 1.8.4-5
- Removed useless -docs package, main package shipped it anyway
- Many spec file and package cleanups to get rpmlint very silent
15 years, 9 months